{% extends 'admin/template/sdm_layout.html.twig' %}

{% block sonata_admin_content %}

    {% block notice %}
        {% include ['@SonataCore/FlashMessage/render.html.twig', '@SonataTwig/FlashMessage/render.html.twig'] %}
    {% endblock notice %}

    {% if _preview is not empty %}
        <div class="sonata-ba-preview">{{ _preview|raw }}</div>
    {% endif %}

    {% if _content is not empty %}
        <div class="sonata-ba-content">{{ _content|raw }}</div>
    {% endif %}

    {% if _show is not empty %}
        <div class="sonata-ba-show">{{ _show|raw }}</div>
    {% endif %}

    {% if _form is not empty %}
        <div class="sonata-ba-form">{{ _form|raw }}</div>
    {% endif %}

    {% if _list_filters is not empty %}
        <div class="row">
            {{ _list_filters|raw }}
        </div>
    {% endif %}

    {% if _list_table is not empty %}
        <div class="row">
            <div class="col-xs-6 col-md-6">
                <div class="box box-info" style="padding: 1em;">
                    <div class="text-bold">
                        Lab modules with missing configuration
                    </div>
                    {% set modulesWithoutConfig = getModulesWithoutConfig() %}
                    {% for module in modulesWithoutConfig %}
                        {{ module }}{% if not loop.last %},{% endif %}
                    {% endfor %}
                    {% if modulesWithoutConfig is empty %}
                        ✅ All lab modules have a configuration
                    {% endif %}
                </div>
            </div>
            <div class="col-xs-6 col-md-6">
                <div class="box box-info" style="padding: 1em;">
                    <div class="text-bold">
                        Lab modules with duplicate configurations
                    </div>
                    {% set modulesWithDuplicateConfig = getModulesWithDuplicateConfig() %}
                    {% for module in modulesWithDuplicateConfig %}
                        <a href="{{ path('admin_app_moduleconfiguration_list', {'filter[module][value]': module.id}) }}">{{ module.name }}</a>{% if not loop.last %},{% endif %}
                    {% endfor %}
                    {% if modulesWithDuplicateConfig is empty %}
                        ✅ No lab modules have duplicate configurations
                    {% endif %}
                </div>
            </div>
        </div>
    {% endif %}

    {% if _list_table is not empty %}
        <div class="row">
            {{ _list_table|raw }}
        </div>
    {% endif %}
{% endblock sonata_admin_content %}
